image: node:18
pages:
  cache:
    paths:
      - node_modules/
  script:
    # - apk add git # Uncomment this if you're using small docker images like alpine and have lastUpdated enabled
    - npm install
    - npm run build
    - mv out/* public
  artifacts:
    paths:
      - public
  only:
    - main
